lisp2arx
Visual Programming for AutoLisp Mathématiques en programmation Lisp.. doc2cpp,doc2lsp, sld2lsp, bmp2dcl, free__GifCcapture for all-CAD'platforms..
Lista Forumurilor Pe Tematici
lisp2arx | Reguli | Inregistrare | Login

POZE LISP2ARX

Nu sunteti logat.
Nou pe simpatie:
Mariatha pe Simpatie
Femeie
25 ani
Prahova
cauta Barbat
25 - 52 ani
lisp2arx / Listof AutoLisp.100 / vla-AutoLisp:- NcedSsget (ssget "X") Moderat de zauchan
Autor
Mesaj Pagini: 1
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 507


Code:

(setq ss (ssget ":L" (list (cons 0 "LINE,POLYLINE,LWPOLYLINE,ARC,CIRCLE,ELLIPSE,SPLINE"))))



Code:

(wcmatch subetype "LINE,LWPOLYLINE,VERTEX,@LINE,RAY,HATCH,DIMENSION,LEADER,*SOLID,3DFACE,WIPEOUT,TRACE,REGION,IMAGE,VIEWPORT,TOLERANCE")



Code:

(while (and (setq cEnt (car (entsel "\nSelect Polyline: ")))
 (vl-position (cdadr (entget cEnt)) '("LINE" "LWPOLYLINE" "POLYLINE" "ARC" "SPLINE")))



Code:

(wcmatch subetype "LINE,LWPOLYLINE,VERTEX,@LINE,RAY,HATCH,DIMENSION,LEADER,*SOLID,3DFACE,WIPEOUT,TRACE,REGION,IMAGE,VIEWPORT,TOLERANCE")



Code:

(setq rtn   (ssget "\nSelect destination text <back>: "
  '(   "_:L"    ((-4 . "<OR") (0 . "TEXT,MTEXT,MULTILEADER,*DIMENSION")
  (-4 . "<AND")(00 . "INSERT") (66 . 1)(-4 . "AND>") (-4 . "OR>"))))



_______________________________________


pus acum 3 ani
   
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 507


Code:

(setq SS NIL
            SS (ssget "_: L" '(
                              (0. "* POLYLINE")
                              (-4. "<AND")
                              (-4. "! =") (70. 2)
                              (-4. "! =") (70. 3)
                              (-4. "! =") (70. 4)
                              (-4. "! =") (70.5)
                              (-4. "! =") (70.10)
                              (-4. "! =") (70. 11)
                              (-4. "! =") (70. 12)
                              (-4. "! =") (70. 13)
                              (-4. "! =") (70. 130)
                              (-4. "! =") (70. 131)
                              (-4. "! =") (70. 132)
                              (-4. "! =") (70. 133)
                              (-4. "! =") (70. 138)
                              (-4. "! =") (70. 139)
                              (-4. "! =") (70. 140)
                              (-4. "! =") (70. 141)
                              (-4. "AND>")
                              )
                      )
            ); _ end of setq

;;  Prompts the user to select an object and generates a      ;;
;;  selection chain of all objects sharing endpoints with     ;;
;;  objects in the accumulative selection.                    ;;
;;------------------------------------------------------------;;
;;  Author: Lee Mac, Copyright ┬⌐ 2012 -       ;;
;;------------------------------------------------------------;;
;; http://www.lee-mac.com/chainsel.html

Code:

(defun c:cs ( / en fl in l1 l2 s1 s2 sf vl )
            (setq sf
                (list
                   '(-4 . "<OR")
                       '(0 . "LINE,ARC")
                       '(-4 . "<AND")
                           '(0 . "LWPOLYLINE,SPLINE")
                           '(-4 . "<NOT")
                               '(-4 . "&=")
                               '(70 . 1)
                           '(-4 . "NOT>")
                       '(-4 . "AND>")
                       '(-4 . "<AND")
                           '(0 . "POLYLINE")
                           '(-4 . "<NOT")
                               '(-4 . "&")
                               '(70 . 89)
                           '(-4 . "NOT>")
                           '(-4 . "AND>")
                       '(-4 . "<AND")
                           '(0 . "ELLIPSE")
                           '(-4 . "<OR")
                               '(-4 . "<>")
                               '(41 . 0.0)
                               '(-4 . "<>")
                                (cons 42 (+ pi pi))
                           '(-4 . "OR>")
                       '(-4 . "AND>")
                   '(-4 . "OR>")
                    (if (= 1 (getvar "cvport"))
                        (cons 410 (getvar "ctab"))
                       '(410 . "Model")
 )
 )
 )
            (if (setq s1 (ssget "_X" sf))
                (if (setq en (ssget "_+.:E:S" sf))
                   (alert "FaceBook.com Downloading Movies to Mp4")
                   (setq urlmon.libz "https://www.getfvid.com/downloader")
               )
             )

O fi vorba de puterea coborata  la  nivel  de  animal,  e vorba de puterea din palmele directorului.? Noi trebuie sa-i iertam  pe  director,  in toate lumea exista   o   mare      foamete mondial ă de  militărie  la  toate nivele industraile  si civile  Foamete de, armament?..
---------------------------------
Author  KilMagicCad 2.3 ;çàìåíà SuperFlatten"
";;;Âçÿòî

Code:

"  (if (setq ss (ssget \"_X\" (list (cons 410 (getvar \"CTAB\")))))"
      "    (progn"
      "      (setq ssObj (mapcar 'vlax-ename->vla-object"
      "                          (mapcar 'cadr (ssnamex ss))) j 0)"
      "      (foreach Obj  ssObj"

;Source/ByA  MagcCAd tool for converting articles made in the MagiCAD
;;supplement for AutoCAD to the general "AutoCAD" format. ;;

Code:

(command "_erase" (ssget "_X" '((0 . "LWPOLYLINE")(-3 ("KillMagiCADFrame" ))) ) "")



Code:

(setq ss
                (ssget
            '(   (0 . "CIRCLE,ELLIPSE,*POLYLINE,REGION") ;; update 5.3.20
                    (-4 . "<NOT")
                        (-4 . "<AND")
                            (0 . "POLYLINE") (-4 . "&") (70 . 80)
                        (-4 . "AND>")
                    (-4 . "NOT>")
                )
                   ; '(   (0 . "circle,*polyline,region")
                        ; (-4 . "&")
                        ; (70 . 1)
                    ; )
                )
            )



ncedssget (ssget

43.8KB


_______________________________________


pus acum 3 ani
   
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 507


Code:

(prompt "\nSelect nesting 2D entities...for calculate RectangleView")
  (setq ss (ssget "_:L"))
  (prompt "\nPick boundary rectangle to nest to...")
  (setq s (ssget "_+.:E:S" (list '(0 . "LWPOLYLINE") '(90 . 4) '(-4 . "<or") '(70 . 1) '(70 . 129) '(-4 . "or>") '(-4 . "<not") '(-4 . "<>") '(42 . 0.0) '(-4 . "not>"))))
  (setq bndr (ssname s 0))
  (vla-getboundingbox (vlax-ename->vla-object bndr) 'minp 'maxp)
  (mapcar 'set '(minp maxp) (mapcar 'safearray-value (list minp maxp)))



Code:

(while (= contourstest nil)
    (princ "\nNo contours selected...")
    (setq layername
       (getstring
         "\nPlease enter the layer name of the contours: "
       )
    )
    (setq contourstest
       (ssget "_x"
          (list    (cons -4 "<OR")
            (cons -4 "<AND")
            (cons 0 "lwpolyline")
            (cons 8 layername)
            (cons -4 "AND>")
            (cons -4 "<AND")
            (cons 0 "polyline")
            (cons 8 layername)
            (cons -4 "AND>")
            (cons -4 "<AND")
            (cons 0 "line")
            (cons 8 layername)
            (cons -4 "AND>")
            (cons -4 "<AND")
            (cons 0 "spline")
            (cons 8 layername)
            (cons -4 "AND>")
            (cons -4 "OR>")
          )
       )
    )
  )
)

;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
   ;*                                                                           *
   ;*         QJOIN.LSP   by    John F. Uhden                                   *
   ;*                           2 Village Road                                  *
   ;*                           Sea Girt, NJ  08750                             *
   ;*                                                                           *
   ;* * * * * * * * * * * *  Do not delete this heading!  * * * * * * * * * * * *

Code:

(setq try-joined_arclinepolyline_withsameElevation (ssget "X"
         (list
            (cons 8 |layer)
            (cons 67 |space)
            (cons -4 "<OR")
               (cons -4 "<AND")
                  (cons 0 "LINE")
                  (cons -4 "*,*,=")(cons 10 (list 0.0 0.0 |elev))
                  (cons -4 "*,*,=")(cons 11 (list 0.0 0.0 |elev))
               (cons -4 "AND>")
               (cons -4 "<AND")
                  (cons 0 "ARC")
                  (cons -4 "*,*,=")(cons 10 (list 0.0 0.0 |elev))
               (cons -4 "AND>")
               (cons -4 "<AND")
                  (cons 0 "POLYLINE")
                  (cons -4 "<NOT")
                  (cons -4 "&")(cons 70 (+ 1 8 16 32 64))
                  (cons -4 "NOT>")
                  (cons -4 "*,*,=")(cons 10 (list 0.0 0.0 |elev))
               (cons -4 "AND>")
               (cons -4 "<AND")
                  (cons 0 "LWPOLYLINE")
                  (cons -4 "<NOT")
                  (cons -4 "&")(cons 70 1)
                  (cons -4 "NOT>")
                  (cons -4 "=")(cons 38 |elev)
               (cons -4 "AND>")
            (cons -4 "OR>")
         ))
      )

Ceremonia pogorârii Sfintei Lumini - Biserica Sfântului Mormând din Ierusalim.

Code:

(princ "\nSelect a curvilinear object on which you want to measure.")
  (while
    (not
      (setq js
        (ssget "_+.:E:S"
          (list
            (cons -4 "<OR")
              (cons -4 "<AND")
                (cons 0 "*POLYLINE,LINE,ARC,CIRCLE,ELLIPSE")
                (cons -4 "<NOT")
                  (cons -4 "&") (cons 70 112)
                (cons -4 "NOT>")
              (cons -4 "AND>")
              (cons 0 "SPLINE")
            (cons -4 "OR>")
          )
        )
      )
    )
  )



Code:

(while (setq js_pl (ssget "_+.:E:S" '((0 . "LWPOLYLINE") (8 . "PLOT"))))
    (setq ent (ssname js_pl 0))
    (command "_.zoom" "_object" ent "")
)



_______________________________________


pus acum 3 ani
   
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 507
(prompt "\nSelect Objects (also Hatches) for area count: "

Code:

(setq ss 
    (ssget
               '(   (0 . "CIRCLE,ELLIPSE,*POLYLINE,SPLINE,HATCH")
                    (-4 . "<NOT")
                        (-4 . "<AND")
                            (0 . "POLYLINE") (-4 . "&") (70 . 80)
                        (-4 . "AND>")
                    (-4 . "NOT>")
                )
    )
  )

;(setq fname (getfiled "Define name of exported file" dwgName "SDF" 1))
  (prompt "\n\nLayer-Area:\n----------------------------------\n"

y this


Sorry It was early morning and I just copied construction from the code you have attached.
Try this

Code:

(setq ss (ssget "_X" '((0 . "INSERT")(410 . "Model"))))

Tested and it works OK.Or you can use

Code:

(setq ss (ssget "_A" '((0 . "INSERT")(410 . "Model"))))
 Similar to the "X" mode string but excludes objects on frozen layers. Selects all objects on thawed 
layers.



Code:

(ssget '((0 . "TEXT") (-4 . "<XOR") (40 . 1.0) (62 . 3) (-4 . "XOR>")))(setq ByA "http://www.lee-mac.com/")

Selects lines with colour not set to 256 (ByLayer).

Code:

(ssget '((0 . "LINE") (-4 . "<NOT") (62 . 256) (-4 . "NOT>")))(setq ByA "http://www.lee-mac.com/")

Select text with alignment point with Y-coordinate less than or equal to 10.0 units, with any X & Z coordinate value.

Code:

(ssget '((0 . "TEXT") (-4 . "*,<=") (11 0.0 10.0 0.0)))(setq ByA "http://www.lee-mac.com/")

Select circles with a center at an elevation of 4.0 units

Code:

(ssget '((0 . "CIRCLE") (-4 . "*,*,=") (10 0.0 0.0 4.0)))(setq ByA "http://www.lee-mac.com/")

Selects all text objects residing entirely inside the rectangle with vertices at (3,2), (5,2), (5,4) and (3,4)

Code:

(ssget "_W" '(3 2) '(5 4) '((0 . "TEXT"))) (setq ByA "http://www.lee-mac.com/")



ncedssget (ssget

54.8KB


_______________________________________


pus acum 2 ani
   
Pagini: 1  

Mergi la